﻿using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.comboDropDown1.PopupControl = this.propertyGrid1;
            this.propertyGrid1.SelectedObject = this.gridGroupingControl1;
            this.gridGroupingControl1.QueryCellStyleInfo += gridGroupingControl1_QueryCellStyleInfo;
        }

        void gridGroupingControl1_QueryCellStyleInfo(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableCellStyleInfoEventArgs e)
        {
            if (e.TableCellIdentity.ColIndex == 3 && e.TableCellIdentity.RowIndex == 3)
            {
                e.TableCellIdentity.Column.Width = 120;
                e.Style.DropDownStyle = Syncfusion.Windows.Forms.Grid.GridDropDownStyle.Editable;
                e.Style.CellType = GridCellTypeName.Control;
                e.Style.Control = this.comboDropDown1;
            }

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable myDataTable = new DataTable("MyDataTable");

            //Declares Data Column and Data Row variables.

            DataColumn myDataColumn;

            DataRow myDataRow;


            myDataColumn = new DataColumn();

            myDataColumn.DataType = Type.GetType("System.Int32");

            myDataColumn.ColumnName = "Age";

            myDataTable.Columns.Add(myDataColumn);



            //Creates a second column.

            myDataColumn = new DataColumn();

            myDataColumn.DataType = Type.GetType("System.String");

            myDataColumn.ColumnName = "Status";

            myDataTable.Columns.Add(myDataColumn);



            //Creates new Data Column, sets Data Type and Column Name and adds to the Data Table.   

            myDataColumn = new DataColumn();

            myDataColumn.DataType = System.Type.GetType("System.String");

            myDataColumn.ColumnName = "Name";

            myDataTable.Columns.Add(myDataColumn);





            //Creates new Data Row objects and adds to the Data Table.    

            for (int i = 0; i <= 7; i++)
            {

                myDataRow = myDataTable.NewRow();

                myDataRow["Name"] = "Name" + i.ToString();

                myDataRow["Status"] = "Qualified";

                if (i == 1 || i == 4 || i == 7)
                {
                    myDataRow["Age"] = 10 * i;
                }
                else
                {
                    myDataRow["Age"] = 5 * i;
                }

                myDataTable.Rows.Add(myDataRow);

            }
            this.gridGroupingControl1.DataSource = myDataTable;
        }
    }
}
